import { connect } from 'herculex';
Component(connect({
  mapStateToProps: {
    userInfo: state => state.$global.userInfo || {}
  }
})({
  props: {
    onClick: () => null,
    title: '信息',
    isEmpty: true,
    addressItem: null,
    emptyText: '暂无信息',
    isDeliver: false,
    showIcon: true
  },
  data: {},

  didMount() {
    console.log(this.props);
  },

  didUpdate() {},

  methods: {
    handleClick() {
      this.props.onClick && this.props.onClick();
    }

  }
}));